Extending Qt Creator Manual | DeviceProcessesDialog

Extending Qt Creator Manual 4.3.0

# DeviceProcessesDialog Class

(ProjectExplorer::DeviceProcessesDialog)

The DeviceProcessesDialog class shows a list of processes. More...

Header: | #include <DeviceProcessesDialog>

- List of all members, including inherited members

## Public Functions

| DeviceProcessesDialog(QWidget *parent = 0)
| DeviceProcessesDialog(KitChooser *chooser, QWidget *parent)
void | addAcceptButton(const QString &label)
void | addCloseButton()
DeviceProcessItem | currentProcess() const
KitChooser * | kitChooser() const
void | logMessage(const QString &line)
void | setDevice(const IDevice::ConstPtr &device)
void | showAllDevices()

## Detailed Description

The DeviceProcessesDialog class shows a list of processes.

The dialog can be used as a:

- Non-modal dialog showing a list of processes. Call addCloseButton() to add a Close button.
- Modal dialog with an Accept button to select a process. Call addAcceptButton() passing the label text. This will create a Cancel button as well.

## Member Function Documentation

### DeviceProcessesDialog::DeviceProcessesDialog(QWidget *parent = 0)

Default constructs an instance of DeviceProcessesDialog.

### DeviceProcessesDialog::DeviceProcessesDialog(KitChooser *chooser, QWidget *parent)

Default constructs an instance of DeviceProcessesDialog.

### void DeviceProcessesDialog::addAcceptButton(const QString &label)

### void DeviceProcessesDialog::addCloseButton()

### DeviceProcessItem DeviceProcessesDialog::currentProcess() const

### KitChooser *DeviceProcessesDialog::kitChooser() const

### void DeviceProcessesDialog::logMessage(const QString &line)

### void DeviceProcessesDialog::setDevice(const IDevice::ConstPtr &device)

### void DeviceProcessesDialog::showAllDevices()